
%if 0%{?fedora} > 9
# include new PyKDE4 printer applet
%define printer_applet 1
%endif

%if 0%{?fedora} == 9
# continue including kjots here (as in 4.0) for F9 (we don't have kdepim 4.1 there)
%define include_kjots 1
%endif

Name:           kdeutils
Epoch:          6
Version:        4.1.0
Release:        1%{?dist}.1
Summary:        K Desktop Environment - Utilities

Group:          Applications/System
# FIXME/TODO: Check license
License:        GPLv2
URL:            http://www.kde.org
Source0:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/%{name}-%{version}.tar.bz2
%if 0%{?include_kjots}
Source1:        ftp://ftp.kde.org/pub/kde/unstable/%{version}/src/kdepim-%{version}.tar.bz2
Patch0:         kdeutils-4.0.99-kjots-without-kdepim.patch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME/TODO: Tpctl is needed for klaptopdaemon
BuildRequires:  cmake
BuildRequires:  kde-filesystem >= 4
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }
BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  kdepimlibs-devel >= %{version}
BuildRequires:  kdebase-workspace-devel >= %{version}
BuildRequires:  gmp-devel
BuildRequires:  libarchive-devel
BuildRequires:  libzip-devel
BuildRequires:  openldap-devel
BuildRequires:  python-devel
BuildRequires:  qimageblitz-devel

Requires(post): /sbin/ldconfig xdg-utils
Requires(postun): /sbin/ldconfig xdg-utils
Requires: kdelibs4 >= %{version}
%if 0%{?printer_applet}
# (new) printer applet 
BuildRequires:  PyKDE4-devel
BuildRequires:  system-config-printer
Requires: PyKDE4
Requires: hal-cups-utils
Requires: system-config-printer
%endif

Provides:       okteta = 0.1.0-1
Obsoletes:      okteta < 0.1.0-1

Obsoletes: %{name}-extras < %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: %{name}-libs < %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: %{name}-devel < %{?epoch:%{epoch}:}%{version}-%{release}

%description
Utilities for the K Desktop Environment.
Includes:
  * ark (tar/gzip archive manager)
  * kcalc (scientific calculator)
  * kcharselect (character selector)
  * kdepasswd (change password)
  * kdessh (ssh front end)
  * kdf (view disk usage)
  * kfloppy (floppy formatting tool)
  * kgpg (gpg gui)
%if 0%{?include_kjots}
  * kjots (note taker)
%endif
  * ktimer (task scheduler)
  * kwalletmanager (kde wallet management Tool)
  * kwikdisk (removable media utility)
  * okteta (binary/hex editor)
  * superkaramba
  * sweeper (clean unwanted traces the user leaves on the system)

%package libs
Summary: Runtime libraries for %{name}
Group:   System Environment/Libraries
%description libs
%{summary}.

%package devel
Group:    Development/Libraries
Summary:  Development files for %{name} 
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
Requires: kdelibs4-devel kdepimlibs4-devel kdebase-workspace-devel
%description devel
%{summary}.


%prep
%setup -q
%if 0%{?include_kjots}
# unpack kdepim
%setup -q -T -D -a 1
# extract kjots
mv -f kdepim-%{version}/kjots .
# extract kjots documentation
mv -f kdepim-%{version}/doc/kjots doc
# get rid of the rest of kdepim
rm -rf kdepim-%{version}
# make kjots build with kdeutils
%patch0 -p1 -b .kjots
%endif

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# nothing should build against these
rm -f %{buildroot}%{_kde4_libdir}/liboktetacore.so %{buildroot}%{_kde4_libdir}/liboktetagui.so
# FIXME: if something builds against these, there should be a -devel package
rm -f %{buildroot}%{_kde4_libdir}/libkerfuffle.so
rm -f %{buildroot}%{_kde4_libdir}/libkmilo.so
rm -f %{buildroot}%{_kde4_libdir}/libsuperkaramba.so


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_kde4_bindir}/*
%{_kde4_appsdir}/ark/
%{_kde4_appsdir}/kcalc/
%{_kde4_appsdir}/kcharselect/
%{_kde4_appsdir}/kconf_update/*
%{_kde4_appsdir}/kdf/
%{_kde4_appsdir}/kgpg/
%{_kde4_appsdir}/kwalletmanager/
%{_kde4_appsdir}/okteta/
%{_kde4_appsdir}/oktetapart/
%if 0%{?printer_applet}
%{_kde4_appsdir}/printer-applet/
%endif
%{_kde4_appsdir}/superkaramba/
%{_kde4_appsdir}/sweeper/
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/applications/kde4/*
%{_kde4_docdir}/HTML/en/ark/
%{_kde4_docdir}/HTML/en/kcalc/
%{_kde4_docdir}/HTML/en/kcharselect/
%{_kde4_docdir}/HTML/en/kdf/
%{_kde4_docdir}/HTML/en/kfloppy/
%{_kde4_docdir}/HTML/en/kgpg/
%{_kde4_docdir}/HTML/en/ktimer/
%{_kde4_docdir}/HTML/en/kwallet/
%{_kde4_docdir}/HTML/en/okteta/
%{_kde4_docdir}/HTML/en/superkaramba/
%{_kde4_iconsdir}/hicolor/*/apps/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/config.kcfg/*
%{_kde4_datadir}/autostart/*
%{_kde4_configdir}/*
%{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/kde4/*
%if 0%{?include_kjots}
%{_kde4_appsdir}/kjots/
%{_kde4_docdir}/HTML/en/kjots/
%endif

%if 0
%files libs
%defattr(-,root,root,-)
%endif
%{_kde4_libdir}/lib*.so.*

%if 0
%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%exclude %{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/lib*.so
%endif


%changelog
* Tue Jul 29 2008 Rex Dieter <rdieter@fedoraproject.org> 4.1.0-1.1
- omit printer_applet from F-9 build

* Wed Jul 23 2008 Than Ngo <than@redhat.com> 4.1.0-1
- 4.1.0

* Mon Jul 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.99-1.1
- reinclude kjots on F9 (moved to kdepim in 4.1, we don't ship kdepim 4 in F9)

* Fri Jul 18 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.99-1
- 4.0.99

* Fri Jul 11 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.98-1
- 4.0.98

* Thu Jul 06 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.85-1
- 4.0.85

* Thu Jul 03 2008 Rex Dieter <rdieter@fedorproject.org> 4.0.84-2.1
- disable printer applet (for now, to avoid kdebindings/PyKDE4 deps madness)

* Thu Jul 03 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-2
- %%description: -kedit, -kjots, +kwalletmanager, +superkaramba, +sweeper

* Fri Jun 27 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.84-1
- 4.0.84

* Sat Jun 21 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.83-2
- add explicit dep on rhpl to work around missing dep in 
  system-config-printer (#452575)

* Thu Jun 19 2008 Than Ngo <than@redhat.com> 4.0.83-1
- 4.0.83 (beta2)

* Sun Jun 15 2008 Rex Dieter <rdieter@fedoraproject.org> 4.0.82-1
- 4.0.82

* Mon May 26 2008 Than Ngo <than@redhat.com> 4.0.80-1
- 4.1 beta1

* Wed May 07 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.72-1
- update to 4.0.72
- Obsoletes/Provides: okteta, update file list and description for okteta
- remove .so symlinks which should not be in a non-devel package

* Fri Apr 04 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-4
- add BR libarchive-devel

* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-3
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.3-2
- rebuild for NDEBUG and _kde4_libexecdir

* Fri Mar 28 2008 Than Ngo <than@redhat.com> 4.0.3-1
- 4.0.3

* Thu Feb 28 2008 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2

* Tue Feb 05 2008 Than Ngo <than@redhat.com> 4.0.1-2
- backport to fix the wrong signal name of a KSelectAction

* Thu Jan 31 2008 Rex Dieter <rdieter@fedoraproject.org> 6:4.0.1-1
- kde-4.0.1

* Wed Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 6:4.0.0-2
- drop Requires: %%name-libs (doesn't exist anymore)

* Tue Jan 08 2008 Rex Dieter <rdieter[AT]fedoraproject.org> 6:4.0.0-1
- kde-4.0.0

* Fri Dec 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.97.0-3
- libs subpkg
- Obsoletes: -extras
- omit parallel-install symlink hack

* Wed Dec 12 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 6:3.97.0-2
- rebuild for changed _kde4_includedir

* Wed Dec 05 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.97.0-1
- kde-3.97.0

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.96.2-2
- kcalc_32bit patch

* Sat Dec 01 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 6:3.96.2-1
- kde-3.96.2

* Sat Nov 24 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.1-1
- kde-3.96.1
- added epoch in changelog (also backwards)

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-6
- BR: kde-filesystem >= 4

* Mon Nov 19 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-5
- BR: libXcomposite-devel
- BR: libXdamage-devel
- BR: libxkbfile-devel
- BR: libXv-devel
- BR: libXxf86misc-devel
- BR: libXScrnSaver-devel

* Fri Nov 16 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-4
- require /sbin/ldconfig xdg-utils on %%post and %%postun
- some small spec cleanups
- +BR: kde-filesystem
- +BR: kde4-macros(api)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-3
- BR: libzip-devel
- added %%defattr to package devel

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-2
- re-added missing epoch (from kdeutils3)

* Thu Nov 15 2007 Sebastian Vahl <fedora@deadbabylon.de> 6:3.96.0-1
- Initial version for Fedora
